#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		argcomplete
%define		egg_name	argcomplete
%define		pypi_name	argcomplete
Summary:	Bash tab completion for argparse
Name:		python-%{pypi_name}
Version:	1.9.3
Release:	3
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://github.com/kislyuk/argcomplete/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	18afda95a2726eb24df810645bef4b38
URL:		https://github.com/kislyuk/argcomplete
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
%if %{with tests}
BuildRequires:	bash
BuildRequires:	tcsh
%if %{with python3}
BuildRequires:	python3-pexpect
%endif
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 - You are using bash as your shell
 - You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options
or subparsers, and if your program can dynamically suggest completions
for your argument/option values (for example, if the user is browsing
resources over the network).

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Libraries/Python
# pkg_resources module is used from python-argcomplete-check-easy-install-script
Requires:	python3-setuptools

%description -n python3-%{pypi_name}
Argcomplete provides easy, extensible command line tab completion of
arguments for your Python script.

It makes two assumptions:

 - You are using bash as your shell
 - You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options
or subparsers, and if your program can dynamically suggest completions
for your argument/option values (for example, if the user is browsing
resources over the network).

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove useless BRs
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py

%build
export LC_ALL=C.UTF-8
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%{__rm} -r $RPM_BUILD_ROOT/%{_bindir}
%py3_install
%endif

install -d $RPM_BUILD_ROOT%{bash_compdir}
install -p $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{pypi_name}/bash_completion.d/python-argcomplete.sh \
	$RPM_BUILD_ROOT%{bash_compdir}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst LICENSE.rst
%if %{without python3}
%attr(755,root,root) %{_bindir}/activate-global-python-argcomplete
%attr(755,root,root) %{_bindir}/python-argcomplete-check-easy-install-script
%attr(755,root,root) %{_bindir}/python-argcomplete-tcsh
%attr(755,root,root) %{_bindir}/register-python-argcomplete
%endif
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.rst LICENSE.rst
%attr(755,root,root) %{_bindir}/activate-global-python-argcomplete
%attr(755,root,root) %{_bindir}/python-argcomplete-check-easy-install-script
%attr(755,root,root) %{_bindir}/python-argcomplete-tcsh
%attr(755,root,root) %{_bindir}/register-python-argcomplete
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%{bash_compdir}/python-argcomplete.sh
%endif
%changelog
* Sun Nov 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-argcomplete.git;a=log;h=master

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> 935ce03
- more sure only one set of scripts is installed to __bindir
- rel 3

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> aa3ec04
- disable tests, no ptys on builders
- rel 2

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> 1e3cd94
- fix bconds

* Sun Feb 04 2018 Elan Ruusamäe <glen@pld-linux.org> c2ac89b
- pldize

* Sun Feb 04 2018 Elan Ruusamäe <glen@pld-linux.org> 985bbc5
- new, version 1.9.3

